/*============================================================================
//	aPCI-P31̒`
//
//	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
//
//	{{[h͂`ohbQP𓋍ڂĂ܂
//
//==========================================================================*/
#if !defined(_APCI31_H)
#define _APCI31_H

#ifndef _TYPEDEF_H
	#include "typedef.h"
#endif

#ifndef _APCISRVS_H
	#include "apcisrvs.h"
#endif

#ifndef _APCICTRL_H
	#include "apcictrl.h"
#endif

/*==========================================*/
/*	aPCI-P31 card's relative port address	*/
/*==========================================*/
#define	APCI31_PORT_1	0
#define	APCI31_PORT_2	1
#define	APCI31_PORT_3	2
#define	APCI31_PORT_4	3

/*==================*/
/*	Miscellaneous	*/
/*==================*/
#define	APCI31_MAX_SLOTS	16			/* Maximum number of slots */
#define APCI31_MAX_PORTS	4			/* Maximum number of user ports */

/*==============*/
/*	Device ID	*/
/*==============*/
#define	APCI31_BOARD_ID		0x9031		/* pci bus device id */
#define	APCI31_VENDOR_ID	0x136c		/* pci bus vendor id */
										/* our device id */
#define	APCI31_DEVICE_ID	( ( DWORD )APCI31_BOARD_ID\
							| ( ( DWORD )APCI31_VENDOR_ID << 16 ) )

#endif
