Attribute VB_Name = "Wrapper"
'============================================================================
'   aPCI-P31
'
'   Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
'
'   V1.11 Date 1999/08/23
'
'============================================================================
Option Explicit
Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long
Declare Function FreeLibrary Lib "kernel32" (ByVal hLibModule As Long) As Long
Declare Function GetProcAddress Lib "kernel32" (ByVal hModule As Long, ByVal lpProcName As String) As Long

Global Const APCI31_DLL_NAME = "apci31.dll" ' DLL
Global Const APCI31_ERR_WRAPDLL = -1        ' ׯ߰֐װ

Dim hDLL As Long                'DLLւ

'============================================================================
'     apci31.dll۰(۰ގʹװƂ)
'     
'  ߂l  True
'         s False
'============================================================================
Function Apci31wDllOpen() As Boolean
  Apci31wDllOpen = False
  If hDLL = 0 Then
    hDLL = LoadLibrary(APCI31_DLL_NAME)
    If hDLL <> 0 Then
      Apci31wDllOpen = Apci31wGetDllExportFunc()
      If Apci31wDllOpen <> True Then
        Apci31wDllClose       ' DLL֐擾ɎŝDLL۰
      End If
    End If
  End If
End Function
'============================================================================
'     apci31.dll۰(۰ގʹװƂ)
'     
'  ߂l  True
'         s False
'============================================================================
Function Apci31wDllClose() As Boolean
  Apci31wDllClose = False
  If hDLL <> 0 Then
    If FreeLibrary(hDLL) <> 0 Then
      hDLL = 0
      Apci31wDllClose = True
    End If
  End If
End Function
'============================================================================
'     aPCI-P31 DLL,޲ײްްޮݔԍ擾
'     pdwDllVersion    DLLްޮݔԍi[
'         pdwDriverVersion ޲ײްްޮݔԍi[
'  ߂l  True
'         s False
'============================================================================
Function Apci31wGetVersion(pdwDllVersion As Long, pdwDriverVersion As Long) As Boolean
  Apci31wGetVersion = False
  If hDLL <> 0 Then
    If Apci31GetVersion(pdwDllVersion, pdwDriverVersion) <> 0 Then
      Apci31wGetVersion = True
    End If
  End If
End Function
'============================================================================
'     aPCI-P31̔Cӂ޲̎gp錾
'     pwLogSlot  gp޲̘_ۯĔԍi[
'  ߂l  True
'         s False
'============================================================================
Function Apci31wCreate(pwLogSlot As Integer) As Boolean
  Apci31wCreate = False
  If hDLL <> 0 Then
    If Apci31Create(pwLogSlot) <> 0 Then
      Apci31wCreate = True
    End If
  End If
End Function
'============================================================================
'     aPCI-P31̔Cӂ޲̎gpJ
'     wLogSlot ޲̘_ۯĔԍ
'  ߂l  True
'         s False
'============================================================================
Function Apci31wClose(ByVal wLogSlot As Integer) As Boolean
  Apci31wClose = False
  If hDLL <> 0 Then
    If Apci31Close(wLogSlot) <> 0 Then
      Apci31wClose = True
    End If
  End If
End Function
'============================================================================
'     w޲ؿ擾
'     wLogSlot ؿ擾޲̘_ۯĔԍ
'         pResInfo ؿi[\
'  ߂l  True
'         s False
'============================================================================
Function Apci31wGetResource(ByVal wLogSlot As Integer, pResInfo As APCI31RESOURCE) As Boolean
  Apci31wGetResource = False
  If hDLL <> 0 Then
    If Apci31GetResource(wLogSlot, pResInfo) <> 0 Then
      Apci31wGetResource = True
    End If
  End If
End Function
'============================================================================
'     ۰ذ̒l擾
'     wLogSlot       ۰ذ̒l擾޲̘_ۯĔԍ
'         pdwSwitchValue ۰ذ̒li[
'  ߂l  True
'         s False
'============================================================================
Function Apci31wGetSwitchValue(ByVal wLogSlot As Integer, pdwSwitchValue As Long) As Boolean
  Apci31wGetSwitchValue = False
  If hDLL <> 0 Then
    If Apci31GetSwitchValue(wLogSlot, pdwSwitchValue) <> 0 Then
      Apci31wGetSwitchValue = True
    End If
  End If
End Function
'============================================================================
'     Cӂ߰Ăް
'     wLogSlot  ͂޲̘_ۯĔԍ
'         dwLogPort ͂_߰
'         pbInValue ްi[
'  ߂l  True
'         s False
'============================================================================
Function Apci31wInPort(ByVal wLogSlot As Integer, ByVal dwLogPort As Long, pbInValue As Byte) As Boolean
  Apci31wInPort = False
  If hDLL <> 0 Then
    If Apci31InPort(wLogSlot, dwLogPort, pbInValue) <> 0 Then
      Apci31wInPort = True
    End If
  End If
End Function
'============================================================================
'     Cӂ߰Ăްo
'     wLogSlot  o͂޲̘_ۯĔԍ
'         dwLogPort o͂_߰
'         bOutValue o͂ް
'  ߂l  True
'         s False
'============================================================================
Function Apci31wOutPort(ByVal wLogSlot As Integer, ByVal dwLogPort As Long, ByVal bOutValue As Byte) As Boolean
  Apci31wOutPort = False
  If hDLL <> 0 Then
    If Apci31OutPort(wLogSlot, dwLogPort, bOutValue) <> 0 Then
      Apci31wOutPort = True
    End If
  End If
End Function
'============================================================================
'     aPCI-P31̴װ
'     wLogSlot  װ޲̘_ۯĔԍ
'  ߂l װ
'============================================================================
Function Apci31wGetLastError(ByVal wLogSlot As Integer) As Long
  If hDLL = 0 Then
    Apci31wGetLastError = APCI31_ERR_WRAPDLL
  Else
    Apci31wGetLastError = Apci31GetLastError(wLogSlot)
  End If
End Function
'---------------------------------------------------------------------------
'     DLL߰Ċ֐ڽ̎擾
'     
'  ߂l  True
'         s False
'---------------------------------------------------------------------------
Private Function Apci31wGetDllExportFunc() As Boolean
  Dim pFunc As Long
  Apci31wGetDllExportFunc = False
  ' Apci31GetVersion ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci31GetVersion")
  If pFunc = 0 Then Exit Function
  ' Apci31Create ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci31Create")
  If pFunc = 0 Then Exit Function
  ' Apci31Close ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci31Close")
  If pFunc = 0 Then Exit Function
  ' Apci31GetResource ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci31GetResource")
  If pFunc = 0 Then Exit Function
  ' Apci31InPort ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci31InPort")
  If pFunc = 0 Then Exit Function
  ' Apci31OutPort ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci31OutPort")
  If pFunc = 0 Then Exit Function
  ' Apci31GetLastError ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci31GetLastError")
  If pFunc = 0 Then Exit Function
  ' Apci31GetSwitchValue ̱ڽ擾
  pFunc = GetProcAddress(hDLL, "Apci31GetSwitchValue")
  If pFunc = 0 Then Exit Function
  Apci31wGetDllExportFunc = True    ' SĂ DLL ߰Ċ֐ڽ擾
End Function


