//============================================================================
//	apci31w.pas
//
//	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
//
//	V1.11 Date 1999/08/23
//
//============================================================================

unit apci31w;

interface

uses
	Windows;

//-------------------------------------
// װޒ萔
//-------------------------------------
const
	APCI31_SUCCESS				      = 0;	// I
	APCI31_ERR_SYSTEM			      = 1;	// GetLastError sĂ
	APCI31_ERR_NO_DEVICE		    = 2;	// gp\޲Ȃ
	APCI31_ERR_IN_USE			      = 3;	// w肳ꂽ޲͎gp
	APCI31_ERR_INVALID_SLOT		  = 4;  // Ș_ۯĔԍw肵
	APCI31_ERR_RESOURCE			    = 5;	// ؿװ
	APCI31_ERR_INVALID_PORT     = 6;	// ߰Ăv
	APCI31_ERR_INVALID_ARGUMENT = 7;	// Ȉv
	APCI31_ERR_NO_CREATE				= 8;	// ޲شĂĂ܂
	APCI31_ERR_WRAPDLL					=Dword(-1);		// ׯ߰֐װ
//-------------------------------------
// ߰Ĕԍ萔
//-------------------------------------
	APCI31_PORT_1 =	0;
	APCI31_PORT_2 = 1;
	APCI31_PORT_3 = 2;
	APCI31_PORT_4 = 3;
//-------------------------------------
// ̑萔
//-------------------------------------
	APCI31_DLL_NAME 	= 'apci31.dll';	// DLĻٖ
	APCI31_MAX_PORTS	= 4;						// ߰Đ
	APCI31_MAX_SLOTS	= 16;						// őۯĐ
	APCI31_DEVICE_ID	= $136c9031;		// ޲ID
	APCI31_SLOT_AUTO	= $ffff;				// AutoSlotl
//-------------------------------------
// ؿ\
//-------------------------------------
	APCI31_MAX_MEM	=	 9;
	APCI31_MAX_IO		= 20;
	APCI31_MAX_IRQ	=	 7;
	APCI31_MAX_DMA	=	 7;

type
	TAPCI31RESOURCE = record
		dwNumMemWindows:																DWORD;	// س޳(gp)
		dwMemBase:			array [1 .. APCI31_MAX_MEM] of	DWORD;	// س޳ްڽ(gp)
		dwMemLength:		array [1 .. APCI31_MAX_MEM] of	DWORD;	// س޳(gp)
		dwMemAttrib:		array [1 .. APCI31_MAX_MEM] of	DWORD;	// س޳(gp)
		dwNumIOPorts:																		DWORD;	// I/O߰Đ
		dwIOPortBase:		array [1 .. APCI31_MAX_IO] of		DWORD;	// I/O߰ްڽ
		dwIOPortLength: array [1 .. APCI31_MAX_IO] of		DWORD;	// I/O߰Ē
		dwNumIRQs:																			DWORD;	// IRQ(gp)
		dwIRQRegisters: array [1 .. APCI31_MAX_IRQ] of	DWORD;	// IRQؽ(gp)
		dwIRQAttrib:		array [1 .. APCI31_MAX_IRQ] of	DWORD;	// IRQؽ(gp)
		dwNumDMAs:																			DWORD;	// DMAِ(gp)
		dwDMALst:				array [1 .. APCI31_MAX_DMA] of	DWORD;	// DMAؽ(gp)
		dwDMAAttrib:		array [1 .. APCI31_MAX_DMA] of	DWORD;	// DMAّؽ(gp)
		dwReserved1:		array [1 .. 3] of								DWORD;	// \(gp)
	end;
//-------------------------------------
// J֐
//-------------------------------------
// DLL ۰
function Apci31wDllOpen: Boolean;
// DLL ۰
function Apci31wDllClose: Boolean;
// aPCI-P31 DLL,޲ײްްޮݔԍ擾
function Apci31wGetVersion(var pdwDllVersion:DWord; var pdwDriverVersion:DWord): Boolean;
// CӂaPCI-P31̎gp錾
function Apci31wCreate(var pwLogSlot:Word): Boolean;
// CӂaPCI-P31̎gpJ
function Apci31wClose(wLogSlot:Word): Boolean;
// ؿ擾
function Apci31wGetResource(wLogSlot:Word; var pResInfo:TAPCI31RESOURCE): Boolean;
// Cӂ߰Ăް
function Apci31wInPort(wLogSlot:Word; dwLogPort:DWord; var pbInValue:Byte): Boolean;
// Cӂ߰Ăްo
function Apci31wOutPort(wLogSlot:Word; dwLogPort:DWord; bOutValue:Byte): Boolean;
// aPCI-P31̴װ
function Apci31wGetLastError(wLogSlot:Word): DWord;
// ۰ذ̒l擾
function Apci31wGetSwitchValue(wLogSlot:Word; var pdwSwitchValue:DWord): Boolean;

//-------------------------------------
// (STATIC)ϐȂ
//-------------------------------------
implementation

{$J+}	// ^t萔̕ύX\߲׎w
const
	hDLL: THandle = 0;

type
	TApci31GetVersion = function(var pdwDllVersion:DWORD; var pdwDriverVersion:DWORD): BOOL; stdcall;
	TApci31Create = function(var pwLogSlot:Word): BOOL; stdcall;
	TApci31Close = function(wLogSlot:WORD): BOOL; stdcall;
	TApci31GetResource = function(wLogSlot:WORD; var pres:TAPCI31RESOURCE): BOOL; stdcall;
	TApci31InPort = function(wLogSlot:WORD; dwLogPort:DWORD; var pbInValue:BYTE): BOOL; stdcall;
	TApci31OutPort = function(wLogSlot:WORD; dwLogPort:DWORD; bOutValue:BYTE): BOOL; stdcall;
	TApci31GetLastError = function(wLogSlot:WORD): DWORD; stdcall;
	TApci31GetSwitchValue = function(wLogSlot:WORD; var pdwSwitchValue:DWORD): BOOL; stdcall;

// DLL ߰Ċ֐ڽ̊i[ϐ
var
	pApci31GetVersion: TApci31GetVersion;
	pApci31Create: TApci31Create;
	pApci31Close: TApci31Close;
	pApci31GetResource: TApci31GetResource;
	pApci31InPort: TApci31InPort;
	pApci31OutPort: TApci31OutPort;
	pApci31GetLastError: TApci31GetLastError;
	pApci31GetSwitchValue: TApci31GetSwitchValue;

function Apci31wGetDllExportFunc: Boolean; forward;

{$J-}

//============================================================================
// 		apci31.dll۰(۰ގʹװƂ)
// 		
// ߂l  True
//				s False
//============================================================================
function Apci31wDllOpen: Boolean;
begin
	Result := False;
	if hDLL = 0 then begin
		hDLL := LoadLibrary(APCI31_DLL_NAME);
		if hDLL <> 0 then begin
			Result := Apci31wGetDllExportFunc;
			if Result <> True then
				Apci31wDllClose;			// DLL֐擾ɎŝDLL۰
		end;
	end;
end;
//============================================================================
// 		apci31.dll۰(۰ގʹװƂ)
// 		
// ߂l  True
//				s False
//============================================================================
function Apci31wDllClose: Boolean;
begin
	Result := False;
	if hDLL <> 0 then begin
		Result := FreeLibrary(hDLL);
		if Result = True then begin
			hDLL := 0;
		end;
	end;
end;
//============================================================================
// 		aPCI-P31 DLL,޲ײްްޮݔԍ擾
// 		pdwDllVersion			DLLްޮݔԍi[̈ւ߲
//				pdwDriverVersion	޲ײްްޮݔԍi[̈ւ߲
// ߂l  True
//				s False
//============================================================================
function Apci31wGetVersion(var pdwDllVersion:DWord; var pdwDriverVersion:DWord): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci31GetVersion(pdwDllVersion, pdwDriverVersion)
end;
//============================================================================
// 		aPCI-P31̔Cӂ޲̎gp錾
// 		pwLogSlot	 gp޲̘_ۯĔԍi[߲
// ߂l  True
//				s False
//============================================================================
function Apci31wCreate(var pwLogSlot:Word): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci31Create(pwLogSlot)
end;
//============================================================================
// 		aPCI-P31̔Cӂ޲̎gpJ
// 		wLogSlot ޲̘_ۯĔԍ
// ߂l  True
//				s False
//============================================================================
function Apci31wClose(wLogSlot:Word): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci31Close(wLogSlot)
end;
//============================================================================
// 		w޲ؿ擾
// 		wLogSlot	ؿ擾޲̘_ۯĔԍ
//				pResInfo	ؿi[\߲̂
// ߂l  True
//				s False
//============================================================================
function Apci31wGetResource(wLogSlot:Word; var pResInfo:TAPCI31RESOURCE): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci31GetResource(wLogSlot, pResInfo)
end;
//============================================================================
// 		Cӂ߰Ăް
// 		wLogSlot	͂޲̘_ۯĔԍ
//				dwLogPort	͂_߰
//				pbInValue ްi[̈ւ߲
// ߂l  True
//				s False
//============================================================================
function Apci31wInPort(wLogSlot:Word; dwLogPort:DWord; var pbInValue:Byte): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci31InPort(wLogSlot, dwLogPort, pbInValue)
end;
//============================================================================
// 		Cӂ߰Ăްo
// 		wLogSlot	o͂޲̘_ۯĔԍ
//				dwLogPort	o͂_߰
//				bOutValue o͂ް
// ߂l  True
//				s False
//============================================================================
function Apci31wOutPort(wLogSlot:Word; dwLogPort:DWord; bOutValue:Byte): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci31OutPort(wLogSlot, dwLogPort, bOutValue)
end;
//============================================================================
// 		aPCI-P31̴װ
// 		wLogSlot	װ޲̘_ۯĔԍ
// ߂l װ
//============================================================================
function Apci31wGetLastError(wLogSlot:Word): DWord;
begin
	if hDLL = 0 then Result := APCI31_ERR_WRAPDLL
	else Result := pApci31GetLastError(wLogSlot)
end;
//============================================================================
// 		۰ذ̒l擾
// 		wLogSlot				۰ذ̒l擾޲̘_ۯĔԍ
// 				pdwSwitchValue	۰ذ̒li[̈ւ߲
// ߂l  True
//				s False
//============================================================================
function Apci31wGetSwitchValue(wLogSlot:Word; var pdwSwitchValue:DWord): Boolean;
begin
	Result := False;
	if hDLL <> 0 then
		Result := pApci31GetSwitchValue(wLogSlot, pdwSwitchValue)
end;
//---------------------------------------------------------------------------
// 	  DLL߰Ċ֐ڽ̎擾
// 	  
// ߂l  True
//		  	s False
//---------------------------------------------------------------------------
function Apci31wGetDllExportFunc: Boolean;
begin
	Result := False;
	// Apci31GetVersion ̱ڽ擾
	pApci31GetVersion := GetProcAddress(hDLL, 'Apci31GetVersion');
	if @pApci31GetVersion = nil then Exit;
	// Apci31Create ̱ڽ擾
	pApci31Create := GetProcAddress(hDLL, 'Apci31Create');
	if @pApci31Create = nil then Exit;
	// Apci31Close ̱ڽ擾
	pApci31Close := GetProcAddress(hDLL, 'Apci31Close');
	if @pApci31Close = nil then Exit;
	// Apci31GetResource ̱ڽ擾
	pApci31GetResource := GetProcAddress(hDLL, 'Apci31GetResource');
	if @pApci31GetResource = nil then Exit;
	// Apci31InPort ̱ڽ擾
	pApci31InPort := GetProcAddress(hDLL, 'Apci31InPort');
	if @pApci31InPort = nil then Exit;
	// Apci31OutPort ̱ڽ擾
	pApci31OutPort := GetProcAddress(hDLL, 'Apci31OutPort');
	if @pApci31OutPort = nil then Exit;
	// Apci31GetLastError ̱ڽ擾
	pApci31GetLastError := GetProcAddress(hDLL, 'Apci31GetLastError');
	if @pApci31GetLastError = nil then Exit;
	// Apci31GetSwitchValue ̱ڽ擾
	pApci31GetSwitchValue := GetProcAddress(hDLL, 'Apci31GetSwitchValue');
	if @pApci31GetSwitchValue = nil then Exit;
	// SĂ DLL ߰Ċ֐ڽ擾nj
	Result := True;
end;

end.

