/*============================================================================
//	apci31s.h
//
//	aPCI-P31
//
//	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
//
//	̿ɂׯ߰֐̎gpႪLqĂ܂B
//
//==========================================================================*/
#pragma once

#include <windows.h>
#include "Apci31w.h"

namespace SampleP31 {

	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;

	/// <summary>
	/// Form1 ̊Tv
	///
	/// x: ̃NX̖OύXꍇÃNXˑ邷ׂĂ .resx t@CɊ֘Atꂽ
	///          }l[W \[X RpC c[ɑ΂ 'Resource File Name' vpeB
	///          ύXKv܂B̕ύXsȂƁA
	///          fUCiƁÃtH[Ɋ֘Atꂽ[JCYς݃\[XƂA
	///          ݂ɗpłȂȂ܂B
	/// </summary>
	public ref class Form1 : public System::Windows::Forms::Form
	{
	public:
		Form1(void)
		{
			InitializeComponent();
			//
			//TODO: ɃRXgN^ R[hǉ܂
			//
		}

	protected:
		/// <summary>
		/// gp̃\[XׂăN[Abv܂B
		/// </summary>
		~Form1()
		{
			if (components)
			{
				delete components;
			}
		}

	private:
		/// <summary>
		/// KvȃfUCiϐłB
		/// </summary>
		System::ComponentModel::Container ^components;

		static Apci31w* P31w;

#pragma region Windows Form Designer generated code
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		void InitializeComponent(void)
		{
			this->SuspendLayout();
			// 
			// Form1
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(6, 12);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->ClientSize = System::Drawing::Size(292, 266);
			this->Name = L"Form1";
			this->StartPosition = System::Windows::Forms::FormStartPosition::CenterScreen;
			this->Text = L"aPCI-P31 Sample";
			this->Load += gcnew System::EventHandler(this, &Form1::Form1_Load);
			this->ResumeLayout(false);

		}
#pragma endregion
		private: System::Void Form1_Load(System::Object^  sender, System::EventArgs^  e) {
			short wLogSlot;				/* ޲̘_ۯĔԍi[ */
			Apci31w::Resource* ri;		/* ؿ */
			int dwDllVer, dwDrvVer;
			int dwSwVal;				/* ۰ذ̒l */
			Byte cbDat;
			bool bResult;				/*  */
			String^ szBuf;
			int i;

			P31w = new Apci31w;
			ri   = new Apci31w::Resource;

			// 
			ri->dwNumMemWindows = 0;
			for (i=0; i<Apci31w::MAX_MEM; i++) {
				ri->dwMemBase[i]   = 0;
				ri->dwMemLength[i] = 0;
				ri->dwMemAttrib[i] = 0;
			}
			ri->dwNumIOPorts = 0;
			for (i=0; i<Apci31w::MAX_IO; i++) {
				ri->dwIOPortBase[i]   = 0;
				ri->dwIOPortLength[i] = 0;
			}
			ri->dwNumIRQs = 0;
			for (i=0; i<Apci31w::MAX_IRQ; i++) {
				ri->dwIRQRegisters[i] = 0;
				ri->dwIRQAttrib[i]    = 0;
			}
			ri->dwNumDMAs = 0;
			for (i=0; i<Apci31w::MAX_DMA; i++) {
				ri->dwDMALst[i]    = 0;
				ri->dwDMAAttrib[i] = 0;
			}
			for (i=0; i<Apci31w::MAX_RSV; i++)
				ri->dwReserved1[i] = 0;

			/*-------------------------------------------------
			// ްޮݔԍ\
			// aPCI-P31 DLL,ײްްޮݔԍ擾
			//-----------------------------------------------*/
			if (P31w->GetVersion(&dwDllVer, &dwDrvVer) == FALSE) {
				ErrorMessage(Apci31w::SLOT_AUTO);
				return;
			}
			szBuf = String::Concat("Version\n",
									String::Format("DLL: 0x{0:x8}\n", dwDllVer),
									String::Format("DRV: 0x{0:x8}",   dwDrvVer));
			ResultMessage(szBuf);
			/*-------------------------------------------------
			// aPCI-P31̎gp錾
			//-----------------------------------------------*/
			wLogSlot = Apci31w::SLOT_AUTO;			/* gp޲T܂B*/
			bResult = P31w->Create(&wLogSlot);		/* ꍇA̎޲̘_ۯĔԍi[܂B*/
			if (bResult == FALSE) {					/* ޲܂B*/
				ErrorMessage(Apci31w::SLOT_AUTO);
				return;
			}
			szBuf = String::Concat("Created\n\n",
									String::Format("LogSlot: {0}", wLogSlot));
			ResultMessage(szBuf);
			/*-------------------------------------------------
			// ؿ۰ذ̒l擾
			//-----------------------------------------------*/
			if (P31w->GetResource(wLogSlot, ri) == FALSE) {
				ErrorMessage(wLogSlot);
				return;
			}
			if (P31w->GetSwitchValue(wLogSlot, &dwSwVal) == FALSE) {
				ErrorMessage(wLogSlot);
				return;
			}
			szBuf = String::Concat("Resource\n",
									String::Format("IO Address: {0:x4}h - {1:x4}h\n",
													ri->dwIOPortBase[0],
													ri->dwIOPortBase[0] + ri->dwIOPortLength[0] - 1),
									String::Format("Switch    : {0:x}h", dwSwVal));
			ResultMessage(szBuf);
			/*-------------------------------------------------
			// Port 1 ɔCӂްo
			//-----------------------------------------------*/
			cbDat = 0xaa;
			if (P31w->OutPort(wLogSlot, Apci31w::PORT_1, cbDat) == FALSE) {
				ErrorMessage(wLogSlot);
				return;
			}
			szBuf = String::Concat("Port 1 փf[^o\n",
									String::Format("Port 1 Out Data: {0:x}h", cbDat));
			ResultMessage(szBuf);
			/*-------------------------------------------------
			// Port 1 ްǂݍ
			//-----------------------------------------------*/
			cbDat = 0x00;
			if (P31w->InPort(wLogSlot, Apci31w::PORT_1, &cbDat) == FALSE) {
				ErrorMessage(wLogSlot);
				return;
			}
			szBuf = String::Concat("Port 1 f[^\n",
									String::Format("Port 1 In Data: {0:x}h", cbDat));
			ResultMessage(szBuf);
			/*-------------------------------------------------
			// aPCI-P31̎gpJ
			//-----------------------------------------------*/
			if (P31w->Close(wLogSlot) == FALSE) {
				ErrorMessage(wLogSlot);
				return;
			}
			ResultMessage("Closed");
			this->Close();
		}

		/*============================================================================
		// ʂ\
		//==========================================================================*/
		private: void ResultMessage(String^ pszbuf)
		{
			MessageBox::Show(pszbuf, this->Text, 
								MessageBoxButtons::OK, MessageBoxIcon::Information);
		}

		/*============================================================================
		// װүނ\
		//==========================================================================*/
		private: void ErrorMessage(short wLogSlot)
		{
			int dwRes = P31w->GetLastError(wLogSlot);
			String^ szBuf;

			switch (dwRes) {
				case Apci31w::ERR_SYSTEM:
				case Apci31w::ERR_WRAPDLL:
					dwRes = System::Runtime::InteropServices::Marshal::GetLastWin32Error();
					szBuf = String::Concat("System error\n\n",
											String::Format("Error code: {0:x8}", dwRes));
					break;
				default:
					szBuf = String::Concat("aPCI-P31 error\n\n",
											String::Format("Error code: {0:x8}", dwRes));
					break;
			}
			MessageBox::Show(szBuf, "aPCI-P31 ERROR",
								MessageBoxButtons::OK, MessageBoxIcon::Stop);
		}
			 
			 
	};
}

