Attribute VB_Name = "Sample"
'============================================================================
'
'  aPCI-P31
'
'  Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
'
'  V1.11 Date 1999/08/23
'
'   ̃\[Xɂ̓bp[֐̎gpႪLqĂ܂B
'
'============================================================================
Option Explicit

Private Const szTitle = "Sample"
Private Const szP31 = "aPCI-P31"
Private Declare Function GetLastError Lib "kernel32" () As Long

'============================================================================
'   ۸т̊Jn
'============================================================================
Sub Main()

  Dim wLogSlot As Integer      ' ޲̘_ۯĔԍi[
  Dim Ri As APCI31RESOURCE     ' ؿ
  Dim dwDllVer As Long, dwDriverVer As Long
  Dim dwSwVal As Long          ' ۰ذ̒l
  Dim cbDat As Byte
  Dim bResult As Boolean       ' 
  Dim szBuf As String

  '-------------------------------------------------
  ' apci31.dll ̎gp錾
  '-------------------------------------------------
  If Apci31wDllOpen() = False Then
    ErrorMessage (APCI31_SLOT_AUTO)
    Exit Sub                   ' apci31.dll ۰ނɎs܂
  End If
  '-------------------------------------------------
  ' ްޮݔԍ\
  ' aPCI-P31 DLL,ײްްޮݔԍ擾
  '-------------------------------------------------
  If Apci31wGetVersion(dwDllVer, dwDriverVer) = False Then
    ErrorMessage (APCI31_SLOT_AUTO)
    Exit Sub
  End If

  szBuf = "GetVersion" + Chr(10) + _
          "DLL    Version" + Chr(9) + ": &H" + Hex(dwDllVer) + Chr(10) + _
          "Driver Version" + Chr(9) + ": &H" + Hex(dwDriverVer)
  ResultMessage (szBuf)
  '-------------------------------------------------
  ' aPCI-P31̎gp錾
  '-------------------------------------------------
  wLogSlot = APCI31_SLOT_AUTO            ' gp޲T܂B
  bResult = Apci31wCreate(wLogSlot)      ' ꍇA̎޲̘_ۯĔԍi[܂B

  If bResult = False Then                ' ޲܂B
    ErrorMessage (APCI31_SLOT_AUTO)
    Exit Sub
  End If

  szBuf = "aPCI-P31 Created" + Chr(10) + Chr(10) + _
          "LogSlot: " + Str(wLogSlot)
  ResultMessage (szBuf)
  '-------------------------------------------------
  ' ؿ۰ذ̒l擾
  '-------------------------------------------------
  If Apci31wGetResource(wLogSlot, Ri) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If

  If Apci31wGetSwitchValue(wLogSlot, dwSwVal) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If

  szBuf = "Board Name  " + Chr(9) + ": " + szP31 + Chr(10) + _
          "IO Address  " + Chr(9) + ": &H" + Hex(Ri.dwIOPortBase(1)) + _
          "-&H" + Hex(Ri.dwIOPortBase(1) + Ri.dwIOPortLength(1) - 1) + Chr(10) + _
          "Switch      " + Chr(9) + ": &H" + Hex(dwSwVal)

  ResultMessage (szBuf)
  '-------------------------------------------------
  ' Port 1 ɔCӂްo
  '-------------------------------------------------
  cbDat = &HAA
  If Apci31wOutPort(wLogSlot, APCI31_PORT_1, cbDat) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If

  szBuf = "Port 1 փf[^o" + Chr(10) + _
          "Port 1 Out Data: &H" + Hex(cbDat)

  ResultMessage (szBuf)
  '-------------------------------------------------
  ' Port 1 f[^ǂݍ
  '-------------------------------------------------
  cbDat = &H0
  If Apci31wInPort(wLogSlot, APCI31_PORT_1, cbDat) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If
  szBuf = "Port 1 f[^" + Chr(10) + _
          "Port 1 In Data: &H" + Hex(cbDat)

  ResultMessage (szBuf)
  '-------------------------------------------------
  ' aPCI-P31̎gpJ
  '-------------------------------------------------
  If Apci31wClose(wLogSlot) = False Then
    ErrorMessage (wLogSlot)
    Exit Sub
  End If
  ResultMessage ("aPCI-P31 Closed")
  '-------------------------------------------------
  ' apci31.dll ̎gpJ
  '-------------------------------------------------
  If Apci31wDllClose() = False Then
    MsgBox "DLL ̃A[hɎs܂B", vbOKOnly + vbCritical
    Exit Sub
  End If
End Sub
'============================================================================
'    ʂ\
'============================================================================
Private Sub ResultMessage(lpszbuf As String)
  MsgBox lpszbuf, vbOKOnly + vbInformation
End Sub
'============================================================================
'    G[bZ[W\
'============================================================================
Private Sub ErrorMessage(ByVal wLogSlot As Integer)
  Dim dwRes As Long
  Dim szBuf As String

  dwRes = Apci31wGetLastError(wLogSlot)
  Select Case dwRes
    Case APCI31_ERR_SYSTEM
      szBuf = "System error" + Chr(10) + Chr(10) + "Error code: &H" + Hex(GetLastError())
    Case APCI31_ERR_WRAPDLL
      szBuf = "DLL Load error"
    Case Else
      szBuf = "aPCI-P31 error" + Chr(10) + Chr(10) + "Error code: &H" + Hex(dwRes)
  End Select
  MsgBox szBuf, vbOKOnly + vbCritical
End Sub

